{% extends 'base.html'%}
{% load static %}

{% block content %}
<section class = "container-fluid" id="list_kegiatan"> 
        <div style="font-family: Playfair Display;">
            <h2 class="text-center"> List Kegiatan </h2>
        </div>

        <div style="font-family: Roboto;" class="row justify-content-md-center">
            {% for data in list_kegiatan %}
            <div class ="col-4 m-4 p-4 rounded border">
                <ul class = "list-group">
                    <li class="list-group-item">
                        {{data.nama_kegiatan}}
                    </li>

                    {%for data_peserta in list_peserta%}
                    {% if data_peserta.kegiatan == data%}

                    <li class="list-group-item">
                        <div class="d-flex justify-content-between">
                            {{data_peserta.nama_peserta}}
                        </div>
                    </li>
                    {% endif %}
                    {% endfor %}
                </ul>
            
                <a class="btn btn-primary" 
                    href="{% url 'registrasi' id=data.pk  %}" 
                    role="button">Bergabung</a>
            </div>
            {% endfor %}
            
            <br>
            <br>
        </div>
        <div style="font-family: Roboto;" class = "container-fluid text-center">
            <h4> Ini kegiatan pertama kamu? Klik ini aja! </h4>
            <br>
            <a class="btn btn-primary"
                href="{% url 'tambahKegiatan' %}" 
                role="button">Add Kegiatan</a>
        </div>
</section>
{% endblock content %}
